/*
**	MultiPageImage
**	PDF̑Oł摜ɕϊ܂B
**
** Copyright(C)ЃgXgE\tgEFAEVXe,All Rights Reserved.
*/

#define	USE_R2					//P2I-R2gpꍇ͒`܂B
//#define	USE_LICENSE_MGR		// CZX}l[Wgꍇɒ`܂B

#include <stdio.h>
#include "pdf2imgapi_c.h"

#ifdef	USE_R2
#pragma comment(lib,"Pdf2ImgAPI.lib")
#else
#pragma comment(lib,"Pdf2ImgOCX.lib")
#endif

int main(int argc, char* argv[])
{
	/*  */
	Pdf2ImgInitialize();

	/* CX^X𐶐 */
	TPdf2Img* pDocument;
	pDocument = Pdf2ImgCreateObject();

	/* CZXL[ */
#ifndef	USE_LICENSE_MGR
	Pdf2ImgSetLicenseKey("CZXL[");		/* K؂ȃCZXL[ɑւ܂ */
#endif

	/* PDFJ */
	if(!Pdf2ImgOpen(pDocument, "input.pdf", "")){
		switch(Pdf2ImgGetErrorCode(pDocument)){
			case PDF_S_SUCCESS:		/*No Error*/
				break;
			case LIC_E_NOTINIT:		/* License management is not initialized. */
			case LIC_E_NOTSET:		/* No license set. */
			case LIC_E_NOTFOUND:	/* License not found. */
			case LIC_E_FORMAT:		/* Invalid license format. */
			case LIC_E_MANIP:		/* License was manipulated. */
			case LIC_E_VERSION:		/* Unsupported license format version. */
			case LIC_E_PRODUCT:		/* The license does not match the product. */
			case LIC_E_PLATFORM:	/* The license does not match the current platform. */
			case LIC_E_TYPE:		/* The license type does not match. */
			case LIC_E_EXPIRED:		/* The license has expired. */
			case LIC_E_MEXPIRED:	/* The maintainance period has expired. Use an older version of the product. */
			case LIC_E_LEVEL:		/* The current license does not permit the use of this function. */
			case LIC_E_STORE_TYPE:	/* Incorrect type in license store. */
			case LIC_E_STORE_NAME:	/* Could not determine product name from key. */
				fprintf(stderr,"CZXsłB\n");
				break;
			case PDF_E_FILEOPEN:	/* The file couldn't be opened. */
				fprintf(stderr,"input.pdfJ܂B\n");
				break;
			default:
				fprintf(stderr,"error\n");
				break;
		}
		return 1;
	}

	/* o̓t@C */
	if(!Pdf2ImgCreateImage(pDocument, "output.tiff")){
		switch(Pdf2ImgGetErrorCode(pDocument)){
			case PDF_E_FILECREATE:	/* The file couldn't be created. */
			printf("o̓t@C \"output.tiff\" 쐬ł܂\n");
			break;
			default:
				fprintf(stderr,"error\n");
				break;
		}
		return 2;
	}

	/* ] */
#ifndef	USE_R2
	Pdf2ImgSetRotateMode(pDocument, eRotateAttribute);
#endif

	/* Sy[Wϊ */
	int		pages = Pdf2ImgGetPageCount(pDocument);
	for(int iPage = 1; iPage <= pages; iPage++) Pdf2ImgRenderPage(pDocument, iPage);

	/* o̓t@C */
	Pdf2ImgCloseImage(pDocument);

	/* CX^XJ */
	Pdf2ImgClose(pDocument);
	Pdf2ImgDestroyObject(pDocument);
	Pdf2ImgUnInitialize();

	return 0;
}

