﻿/*
 * Mlt
 * 
 * Copyright(c)株式会社トラスト・ソフトウェア・システム
 */
using System;
using Pdftools.Pdf2Img;
using Pdftools.Render;

namespace mlt
{
    class mlt
    {
        static void Main(string[] args)
        {
            // インスタンスを生成
            Converter conv = new Converter();

            // ライセンス
            // ライセンスマネージャを利用しない場合に有効にします。
            Converter.SetLicenseKey("ライセンスキー");  //適切なライセンスキーに替えてください。

            // 回転
            // 従来のレンダリング・エンジンの場合に有効にします。
            //conv.RotateMode = PDFRotateMode.eRotateAttribute;

            // 入力のPDF
            if (!conv.Open("input.pdf", ""))
            {
                Console.WriteLine("入力ファイル\"input.pdf\"を開けません");
                Environment.Exit(1);
            }

            // 出力の画像
            if (!conv.CreateImage("output.tiff"))
            {
                Console.WriteLine("出力ファイル\"output.jpg\"を開けません");
                Environment.Exit(2);
            }

            // ページを指定して変換
            int pages = conv.PageCount;
            for (int iPage = 1; iPage <= pages; iPage++)
            {
                conv.RenderPage(iPage);
            }

            // 出力を閉じる
            conv.CloseImage();

            // インスタンスを開放
            conv.Close();
            conv.Dispose();
        }
    }
}
