/*
**	RasterizedPdf
**	PDF摜ɕϊ܂B
**
** Copyright(C)ЃgXgE\tgEFAEVXe,All Rights Reserved.
*/

//#define	USE_LICENSE_MGR		// CZX}l[Wgꍇɒ`܂B

#include <stdio.h>

#include "Pdf2pdfimg_c.h"
#include "bseerror.h"

#pragma comment(lib,"Pdf2PdfImgOCX.lib")


int main(int argc, char* argv[])
{
	/*  */
	Pdf2PdfImgInitialize();

	/* CX^X𐶐 */
	TPdf2PdfImg* pDocument;
	pDocument = Pdf2PdfImgCreateObject();

	/* CZXL[ */
#ifndef	USE_LICENSE_MGR
	Pdf2PdfImgSetLicenseKey("CZXL[");		/* K؂ȃCZXL[ɑւ܂ */
#endif

	/* ] */
	Pdf2PdfImgSetRotateMode(pDocument, eRotateAttribute);

	/* ϊ */
	if(!Pdf2PdfImgConvertFileA(pDocument, "input.pdf", "output.pdf", "")){
		switch(Pdf2PdfImgGetErrorCode(pDocument)){
			case PDF_S_SUCCESS:		/*No Error*/
				break;
			case LIC_E_NOTINIT:		/* License management is not initialized. */
			case LIC_E_NOTSET:		/* No license set. */
			case LIC_E_NOTFOUND:	/* License not found. */
			case LIC_E_FORMAT:		/* Invalid license format. */
			case LIC_E_MANIP:		/* License was manipulated. */
			case LIC_E_VERSION:		/* Unsupported license format version. */
			case LIC_E_PRODUCT:		/* The license does not match the product. */
			case LIC_E_PLATFORM:	/* The license does not match the current platform. */
			case LIC_E_TYPE:		/* The license type does not match. */
			case LIC_E_EXPIRED:		/* The license has expired. */
			case LIC_E_MEXPIRED:	/* The maintainance period has expired. Use an older version of the product. */
			case LIC_E_LEVEL:		/* The current license does not permit the use of this function. */
			case LIC_E_STORE_TYPE:	/* Incorrect type in license store. */
			case LIC_E_STORE_NAME:	/* Could not determine product name from key. */
				fprintf(stderr,"CZXsłB\n");
				break;
			case PDF_E_FILEOPEN:	/* The file couldn't be opened. */
				fprintf(stderr,"PDFt@CJ܂B\n");
				break;
			case PDF_E_FILECREATE:	/* The file couldn't be created. */
				fprintf(stderr,"t@C쐬ł܂B\n");
				break;
			default:
				fprintf(stderr,"error\n");
				break;
		}
	}

	/* CX^XJ */
	Pdf2PdfImgDestroyObject(pDocument);
	Pdf2PdfImgUnInitialize();

	return 0;
}
